Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 237262 - about fedora missing translations
Summary: about fedora missing translations
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release-notes
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-20 14:40 UTC by Matthias Clasen
Modified: 2013-01-10 01:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-21 13:39:10 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-20 14:40:08 UTC
"About Fedora" is missing German translations.

Comment 1 Karsten Wade 2007-04-20 17:03:15 UTC
I'm still grasping the terminology of PO translations, but here is the status on
German for the about-fedora module (which feeds into the fedora-release-notes
package):

make postat-de
de: 1/39/

The number key is "translated/fuzzy/untranslated".

Looking at the actual file about-fedora/devel/po/de.po, it appears that not much
of it was translated.

So, bottom line unless I am mistaken, is that there was not much work done on
translating this file for test4.  If you look through it, you'll likely find a
few pieces translated.  Here is a regularly updated page of documentation stats:

http://fedoraproject.org/wiki/DocsProject/Translation/Statistics

It looks as if the file hasn't been touched since we brought it over under the
cvsl10n group:

http://cvs.fedora.redhat.com/viewcvs/about-fedora/devel/po/de.po?root=docs&rev=1.2&view=log

So, NOTABUG?

Comment 2 Matthias Clasen 2007-04-20 17:09:56 UTC
Well, some tool obviously broke the po file by marking all translations as fuzzy. 
How is that NOTABUG ?

Comment 3 Karsten Wade 2007-04-20 21:09:23 UTC
So, based on whatever behavior you are seeing, it is possible there is a problem
with i) the PO file, ii) the toolchain, or iii) our process of going from
about-fedora module in CVS to the build fedora-release-notes.  Are you seeing
*any* German in "About Fedora"?

In reference to the high levels of fuzziness, what you have discovered is this:

http://www.redhat.com/archives/fedora-trans-list/2007-April/msg00065.html

Looking inside the de.po file, what I see is:

grep msgstr po/de.po | wc -l
700
grep msgstr po/de.po | grep "\"\"" | wc -l
428

That is, 61% of msgstr are empty.

I also don't see any translation activity in the last few months for that PO
file[1].  Although the situation with 'xml2po -e' v. 'xml2po -k' was not very
pretty, we were very vocal with the change, the follow on discussion, begging of
forgiveness, and pleading to update PO files.  With all of that, there haven't
been any changes from a German translator.  Yes, this is all happening in a
different CVS than for FC6.  We have also been very vocal about that situation.  

[1]
cvs log po/de.po 

RCS file: /cvs/docs/about-fedora/devel/po/de.po,v
Working file: po/de.po
head: 1.2
branch:
locks: strict
access list:
symbolic names:
        release-notes-6_93: 1.1
        release-notes-6_91-initial: 1.1
keyword substitution: kv
total revisions: 2;     selected revisions: 2
description:
----------------------------
revision 1.2
date: 2007/04/18 05:56:32;  author: pfrields;  state: Exp;  lines: +64 -69
Entity handling has now been reverted to original "xml2po -e" method.  NEW FUZZY
ENTRIES MAY HAVE BEEN CREATED DUE TO THIS CHANGE.  Translators: Please check
your translations and update appropriately.  Thank you for your time and efforts.
----------------------------
revision 1.1
date: 2007/01/27 21:55:10;  author: pfrields;  state: Exp;
Add PO from msgmerge
=============================================================================


Comment 4 Paul W. Frields 2007-04-21 13:39:10 UTC
This looks like an omission in my original msgmerge/import from i18n.redhat.com.
 The good news is that our dalliance with "xml2po -k" won't have much of an
impact on importing this anew.  The following postat now appears, big improvement:

$ make postat-de
de: 32/3/5/

We have the "de" locale marked to be built, so assuming someone can finish the
few remaining messages, this should be in F7 final.

Comment 5 Matthias Clasen 2007-04-21 14:50:07 UTC
thanks !


Note You need to log in before you can comment on or make changes to this bug.